Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.5   

Description

Show data from thermostats. Content may include:

Heat/cool/fan cycles over time (area chart)

Temperature of location

Heater & AC current cycle percentage (and/or average HVAC cycle duration)

Alerts on over active HVAC (running at 100%)

Current temperature & heating/AC set-points

Subtasks:

Feature # 899: Add data support for thermostats Closed

Task # 909: Create heating/cooling cycle time-chart Closed

Task # 910: Add wind-chill to HVAC cycle time-chart Closed

Task # 912: Add filter for wind-chill temperature Closed

History

#1 - 11/17/2014 10:39 PM - Luke Murphey

- Subject changed from thermostat dashboard to Thermostat dashboard

#2 - 11/17/2014 10:41 PM - Luke Murphey

- Description updated

#3 - 11/17/2014 10:44 PM - Luke Murphey

See http://blogs.splunk.com/wp-content/uploads/2012/12/Enery-Usage-and-Conservation.png, should add a chart showing fan, AC and heat cycles.

See for more info: http://blogs.splunk.com/2012/12/17/meet-your-splunk-hackathon-winner-splunking-nest/

#4 - 11/21/2014 06:20 AM - Luke Murphey

- Description updated

#5 - 11/21/2014 06:23 AM - Luke Murphey

- Description updated

#6 - 11/23/2014 01:25 AM - Luke Murphey

Here is a good source for wind chill info: https://developer.yahoo.com/weather/.

Here is an example in Python:

import urllib2, urllib, json

baseurl = "https://query.yahooapis.com/v1/public/yql?" 

yql_query = "select wind from weather.forecast where woeid=2460286" 

yql_url = baseurl + urllib.urlencode({'q':yql_query}) + "&format=json" 

result = urllib2.urlopen(yql_url).read()

data = json.loads(result)

print data['query']['results']
#7 - 11/26/2014 02:24 AM - Luke Murphey

- File Thermo_statuses.png added

 

#8 - 11/29/2014 07:25 AM - Luke Murphey

- Status changed from New to Closed

Files

Thermo_statuses.png 6.01 KB 11/26/2014 Luke Murphey
